- Third-party
Lightricks LTX-2.5 Fast is a fast video generation model for text-to-video and image-to-video workflows, with synchronized audio, configurable duration, resolution, and frame rate.
| Model Info | |
|---|---|
| More information | link ↗ |
| Pricing | View pricing in the Cloudflare dashboard ↗ |
const response = await env.AI.run(
'lightricks/ltx-2-5-fast',
{
prompt: 'A cinematic aerial shot of ocean waves at sunset',
duration: 8,
resolution: '1920x1080',
fps: 24,
generate_audio: true,
},
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "lightricks/ltx-2-5-fast",
"input": {
"prompt": "A cinematic aerial shot of ocean waves at sunset",
"duration": 8,
"resolution": "1920x1080",
"fps": 24,
"generate_audio": true
}
}'{
"state": "Completed",
"result": {
"video": "https://examples.aig.cloudflare.com/lightricks/ltx-2-5-fast/text-to-video.mp4"
},
"gatewayMetadata": {
"keySource": "Unified"
}
}Image-to-Video — Animate a reference image with a final frame
const response = await env.AI.run(
'lightricks/ltx-2-5-fast',
{
prompt: 'The camera moves forward while the trees sway in the wind',
image_uri:
'https://upload.wikimedia.org/wikipedia/commons/8/85/Tour_Eiffel_Wikimedia_Commons_%28cropped%29.jpg',
last_frame_uri:
'https://upload.wikimedia.org/wikipedia/commons/8/85/Tour_Eiffel_Wikimedia_Commons_%28cropped%29.jpg',
duration: 8,
resolution: '1920x1080',
fps: 24,
generate_audio: true,
},
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "lightricks/ltx-2-5-fast",
"input": {
"prompt": "The camera moves forward while the trees sway in the wind",
"image_uri": "https://upload.wikimedia.org/wikipedia/commons/8/85/Tour_Eiffel_Wikimedia_Commons_%28cropped%29.jpg",
"last_frame_uri": "https://upload.wikimedia.org/wikipedia/commons/8/85/Tour_Eiffel_Wikimedia_Commons_%28cropped%29.jpg",
"duration": 8,
"resolution": "1920x1080",
"fps": 24,
"generate_audio": true
}
}'{
"state": "Completed",
"result": {
"video": "https://examples.aig.cloudflare.com/lightricks/ltx-2-5-fast/image-to-video.mp4"
},
"gatewayMetadata": {
"keySource": "Unified"
}
}prompt
stringrequiredminLength: 1maxLength: 10000Text prompt describing the videoimage_uri
stringformat: uriHTTPS URI for the first framelast_frame_uri
stringformat: uriHTTPS URI for the last frame▶duration
one ofrequiredresolution
stringrequireddefault: 1920x1080enum: 1280x720, 720x1280, 1920x1080, 1080x1920, 2560x1440, 1440x2560, 3840x2160, 2160x3840▶fps
one ofrequiredgenerate_audio
booleanrequireddefault: truevideo
stringformat: uriURL to the generated video